<?php

Route::prefix('Shop')->namespace('Shop')->name('Shop.')->group(function () {
    Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
    Route::post('login', 'Auth\LoginController@login')->name('login.post');
    Route::post('logout', 'Auth\LoginController@logout')->name('logout');
    Route::get('invite/{token?}/{event_id?}', 'Auth\LoginController@invite')->name('invite');
    Route::get('password/reset/{token?}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
    Route::post('password/reset', 'Auth\ResetPasswordController@reset')->name('password.update');
    Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
    Route::post('register', 'Auth\RegisterController@register')->name('register.post');
});

Route::prefix('Shop')->namespace('Shop')->name('Shop.')->group(function () {
    include __DIR__ . '/Articles.php';
    include __DIR__ . '/Baskets.php';
    include __DIR__ . '/Categories.php';
    include __DIR__ . '/Customers.php';
    include __DIR__ . '/Invoices.php';
    include __DIR__ . '/Offers.php';
    include __DIR__ . '/Orders.php';
    include __DIR__ . '/Orders.php';
    include __DIR__ . '/Searches.php';
});
